Create or update underwriting details | Moov Documentation

Create or update underwriting details beta

Create or update the account's underwriting.

Read our underwriting guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.write scope.

POST

/accounts/{accountID}/underwriting

Ask

curl -X POST "https://api.moov.io/accounts/{accountID}/underwriting" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string

create := moov.UpdateUnderwriting{
  AverageTransactionSize:          1_000,
  MaxTransactionSize:              500,
  AverageMonthlyTransactionVolume: 10_000,
  VolumeByCustomerType: moov.VolumeByCustomerType{
    BusinessToBusinessPercentage: 50,
    ConsumerToBusinessPercentage: 50,
  },
  CardVolumeDistribution: moov.CardVolumeDistribution{
    EcommercePercentage:     50,
    CardPresentPercentage:   50,
    MailOrPhonePercentage:   0,
    DebtRepaymentPercentage: 0,
  },
  Fulfillment: moov.Fulfillment{
    HasPhysicalGoods:     true,
    IsShippingProduct:    true,
    ShipmentDurationDays: 3,
    ReturnPolicy:         moov.WITHIN_THIRTY_DAYS,
  },
}

mc.UpsertUnderwriting(ctx, accountID, create)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.underwriting.save({
    accountID: "ffe3ca1b-de3f-4305-8d8c-cfd28f279cad",
    upsertUnderwriting: {},
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\